from __future__ import absolute_import
from enum import Enum
from six import string_types


class CheckoutHeaders(Enum):
    CLIENT_ID = "client_id"
    DIGI_SIGN = "digi_sign"

    @classmethod
    def is_valid_checkout_header(cls, header):
        if isinstance(header, string_types):
            for checkout_header in cls:
                if checkout_header.value == header:
                    return True
            return False
        else:
            return False
