from .utils.logger_util import LoggerUtil

class Checkout(object):
    logger = LoggerUtil.setup_logger(__name__)
    _propertiesFilePath = ""
    _propertiesStream = ""
    
    @classmethod
    def initProperties(cls, propertiesFilePath):
        Checkout._propertiesFilePath = propertiesFilePath
        Checkout.logger.info("Properties file path set: " + Checkout._propertiesFilePath)

    @classmethod
    def initPropertiesStream(cls, propertiesStream):
        Checkout._propertiesStream = propertiesStream
        Checkout.logger.info("Properties stream is set: ")        

    @classmethod
    def getPropertiesFilePath(cls):
        Checkout.logger.info("Properties file path: " + Checkout._propertiesFilePath)
        return Checkout._propertiesFilePath

    @classmethod
    def getPropertiesStream(cls):
        return Checkout._propertiesStream