from __future__ import absolute_import
from ..exceptions import ApiException
#from .logger_util import LoggerUtil


class FileUtil(object):
    #logger = LoggerUtil.setup_logger(__name__)

    @classmethod
    def read_file(cls, path):
        try:
            with open(path, 'rb') as f:
                return f.read()
        except BaseException as e:
            #FileUtil.logger.error("Could not read file:{}".format(path))
            raise ApiException(
                status=0,
                reason="Failed to read file {}".format(path)
            )
